<?php
/*
 * 注意：此文件由tpl_engine编译型模板引擎编译生成。
 * 如果您的模板要进行修改，请修改 templates/default/modules/friend/friend.html
 * 如果您的模型要进行修改，请修改 models/modules/friend/friend.php
 *
 * 修改完成之后需要您进入后台重新编译，才会重新生成。
 * 如果您开启了debug模式运行，那么您可以省去上面这一步，但是debug模式每次都会判断程序是否更新，debug模式只适合开发调试。
 * 如果您正式运行此程序时，请切换到service模式运行！
 * 
 * 如有您有问题请到官方论坛（http://tech.jooyea.com/bbs/）提问，谢谢您的支持。
 */
?><?php
	//引入语言包
	$f_langpackage=new friendlp;
	
	//引入公共模块
	require("foundation/module_mypals.php");
	require("foundation/fcontent_format.php");

	//变量取得
	$url_uid= short_check(get_argg('user_id'));
	$ses_uid=get_sess_userid();

	//引入模块公共权限过程文件
	$is_login_mode='';
	$is_self_mode='partLimit';
	require("foundation/auser_validate.php");

	//数据表定义区
	$t_mypals = $tablePreStr."pals_mine";

	$dbo=new dbex;

	//读写分离定义方法
	dbtarget('r',$dbServs);

	$select_items=array(
		"pals_id",
		"pals_ico",
		"pals_name",
		"pals_sort_name",
	);
	$mypals_rs = getPals_mine($dbo,$select_items,$t_mypals,$userid,'6');
?><?php foreach($mypals_rs as $val){?>
		<?php newline('3');?><li>
      		<a href="home.php?h=<?php echo $val["pals_id"];?>" target="_blank" title="<?php echo $f_langpackage->f_fri;?>">
	        <img src="<?php echo $val['pals_ico'];?>" width="43px" /></a>
	        <a href="home.php?h=<?php echo $val["pals_id"];?>" target="_blank" title="<?php echo $f_langpackage->f_fri;?>"> <?php echo sub_str(filt_word($val['pals_name']),6,true);?></a></li>
<?php }?>